GSI Forum
GSI Helmholtzzentrum für Schwerionenforschung

Home » PANDA » PandaRoot » General » New External packages
Re: New External packages [message #6070 is a reply to message #6066] Thu, 13 March 2008 16:01 Go to previous messageGo to previous message
Dima Melnychuk is currently offline  Dima Melnychuk
Messages: 213
Registered: April 2004
Location: National Centre for Nucle...
first-grade participant
From: *fuw.edu.pl
Hi Mohammad,

I have the following problem with new external packages.

When I run

./configure.sh automatic

I have the following message

The build process for the external packages for the FairRoot Project was started at 130308_153705
Could not extract the version of gfortran
Stop script at this point

When I try
>gfortran -dumpversion

it gives:

GNU Fortran 95 (GCC 4.0.2 20051130 (Red Hat 4.0.2-14.EL4))
Copyright (C) 2005 Free Software Foundation, Inc.

GNU Fortran comes with NO WARRANTY, to the extent permitted by law.
You may redistribute copies of GNU Fortran
under the terms of the GNU General Public License.
For more information about these matters, see the file named COPYING

So when I look into /scripts/set_compiler.sh on the line 20

if [ $(gfortran -dumpversion | grep 'GNU Fortran 95 (GCC)' | cut -c 1-3) ];

my "gfortran -dumpversion" output mismatch this pattern, since bracket is not closed after GCC.

I am using Scientific Linux 4.

How to proceed?

Dima
 
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message icon8.gif
Read Message
Read Message
Read Message
Previous Topic: problem in running demo/runMC.C
Next Topic: Fluka is available now!
Goto Forum:
  


Current Time: Thu Jan 27 22:15:10 CET 2022

Total time taken to generate the page: 0.00976 seconds